# /page

The HTTP API enables you to send user Page Views to Adnuntius Data.

{% hint style="info" %}
Typically you are recommended to send these events from the user's browser using the [Javascript API](/adnuntius-data/api-documentation/javascript.md).
{% endhint %}

## Request object

Data is sent to Adnuntius using a HTTP POST request, with a JSON payload containing the fields described below. A separate object is required for each page view event.

If the request is received correctly, an HTTP 200 status code will be returned.

### Example request object

```http
POST https://data.adnuntius.com/page
```

```javascript
{
  "browserId": "123xyz",
  "folderId": "00000000000123ab",
  "keywords": ["sport", "tennis"],
  "categories": ["IAB_24_44"],
  "domainName": "sport.no"
}
```

### Field Descriptions

| Name         | Type      | Description                                                                                                                             |
| ------------ | --------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| `browserId`  | String    | A unique ID for the browser or device being used.                                                                                       |
| `folderId`   | String    | The Folder ID in Adnuntius Data, for example: `00000000000123ab` You can also specify the `folderId` as a parameter in the request URL. |
| `keywords`   | String\[] | An array of keywords                                                                                                                    |
| `categories` | String\[] | An array of categories                                                                                                                  |
| `domainName` | String    | The domain name of the page                                                                                                             |

### Example cURL request

This is a very simple example, using [curl](https://curl.haxx.se), demonstrating how a page view is sent to Adnuntius Data.

```bash
curl -H "Content-Type: application/json" https://data.adnuntius.com/page -d '{
  "browserId": "123xyz",
  "folderId": "00000000000123ab",
  "keywords": ["sport", "tennis"],
  "categories": ["IAB_24_44"],
  "domainName": "sport.no" }'
```

### Example batch request

Page views can also be sent to adnuntius in bulk by adding them to an array like this:

```javascript
[
  {
    "browserId": "123xyz",
    "folderId": "00000000000123ab",
    "keywords": ["sport", "tennis"],
    "categories": ["IAB_24_44"],
    "domainName": "sport.no"
  },
  {
    "browserId": "123xyz",
    "folderId": "00000000000123ab",
    "keywords": ["sport", "tennis"],
    "categories": ["IAB_24_44"],
    "domainName": "sport.no"
  }
]
```

[See here how you can send pageview information using the JavaScript API instead](/adnuntius-data/api-documentation/javascript/page-views.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-data/api-documentation/http/http-page-view.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
